import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsText as GdsTextClass } from "../../../components/text/text.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsText = (props) => {
  GdsTextClass.define();
  const JSXElement = getReactComponent("gds-text");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsText.displayName = "GdsText";
export {
  GdsText
};
